package com.cheug.service.impl;

import com.cheug.dao.IUserDao;
import com.cheug.dao.ipml.UserDaoImpl;
import com.cheug.domain.User;
import com.cheug.exception.UserException;
import com.cheug.service.IUserService;

public class UserServiceImpl implements IUserService{
	private IUserDao userDao = new UserDaoImpl();

	@Override
	public void register(User user) {
		userDao.insert(user);
	}

	@Override
	public User login(String username, String password) {
		return userDao.findUser(username, password);
	}

	@Override
	public User login(User user) throws UserException{
		User u = userDao.findUser(user.getUsername(),user.getPassword());
		if(u == null) {
			throw new UserException("û!");
		}else {
			return u;
		}
	}

	@Override
	public boolean usernameExist(String username) {
		
		return userDao.findUser(username) != null;
	}
	
	
}
