package com.cheug.utils;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ResourceBundle;

public class DBUtils {
	private static String dbserver = null;
	private static String dbport = null;
	private static String dbusername = null;
	private static String dbpassword = null;
	private static String dbname = null;
	
	static {
		try {
			ResourceBundle rb = ResourceBundle.getBundle("db");
			dbserver = rb.getString("dbserver");
			dbport = rb.getString("dbport");
			dbusername = rb.getString("dbusername");
			dbpassword = rb.getString("dbpassword");
			dbname = rb.getString("dbname");
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
	public static Connection getConnection() throws SQLException {
			return DriverManager.getConnection("jdbc:mysql://"+ dbserver +":"+ dbport +"/"+ dbname,dbusername,dbpassword);
	}
	public static void dbClose(ResultSet resultSet,Statement statement,Connection conn) {
		if(resultSet != null) {
			try {
				resultSet.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(statement != null) {
			try {
				statement.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		if(conn != null) {
			try {
				conn.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
}
