package com.cheug.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.HashMap;
import java.util.Map;

public class UserFormValidation {
	private String username;
	private String password;
	private String repassword;
	private String email;
	private String birthday;
	//mapڴϷϢ
	Map<String,String> err = new HashMap<String,String>();
	//Ч
	public boolean validation() {
		//û
		if(!username.matches("[a-zA-Z\\d]{5,12}")) {
			err.put("username", "ûȷ");
		}        
		//
		if(!password.matches("[a-zA-Z\\d]{6,15}")) {
			err.put("password", "벻ȷ");
		}
		//ȷ
		if(!password.equals(repassword)) {
			err.put("repassword", "ȷ벻һ");
		}
		//
		if(!email.matches("^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$")) {
			err.put("email", "䲻ȷ");
		}
		//
		if("".equals(birthday)) {
			err.put("birthday", "ղΪ");
		}else {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			try {
				sdf.parse(birthday);
			}catch(ParseException e) {
				err.put("birthday", "ոʽȷ");
			}
		}
		return err.size() == 0;
	}
	
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getRepassword() {
		return repassword;
	}
	public void setRepassword(String repassword) {
		this.repassword = repassword;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getBirthday() {
		return birthday;
	}
	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}
	public Map<String, String> getErr() {
		return err;
	}
	public void setErr(Map<String, String> err) {
		this.err = err;
	}
	
	
}
